//SLoBs Multi Arena RA3 Map Shader file :)
//View FULL SCREEN

//Visit http://SLoB.org.uk :)


//This file is copyright of The 'SLoB' :-) any ripping of this is welcome heheh :)
//The script here contains all the shader stuff for ALL custom textures in this awsome RA3 map :)
//Although some of the paths here don't resemble the ra3map directly they are from the 
//individual arenas and the texture paths are still the same as they were before
//To go through all the custom textures and retexture them to change the paths is a somewhat lengthy process
//so you will find some textures still use the original paths for some textures

textures/slob/zapper
{
	cull none
	q3map_lightimage textures/slob/zapper.tga	
	q3map_surfacelight 150
	qer_editorimage textures/slob/zapper.tga
	
	{
		map $lightmap
		rgbgen identity
		tcgen environment
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

	{
		map textures/slob/zapper.tga
		blendfunc blend
		alphafunc GT0
		depthWrite
		rgbgen identity
		rgbgen wave sin 0 1 0 0.5
		tcmod scale 1 .5
		tcMod scroll 0 -2
	}
}

textures/slob/docksky
{
	qer_editorimage textures/slob/dock_qer1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 75
	surfaceparm sky
	q3map_sun 4 3 3 150 300 50
	skyparms textures/slob/env/dock - -
}

textures/slob/marssky
{
	qer_editorimage textures/slob/mars_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 4 3 3 150 300 50
	skyparms textures/slob/env/mars - -
}

textures/slob/nebula
{
	qer_editorimage textures/slob/nebula_qer1.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 50
// note: Change the surfacelight value if you want more ambient light from the sky.
	q3map_sun 1 .98 .9 100 300 50
// note: Change the fourth value (100) if you want a brighter or dimmer sun
	skyparms textures/slob/env/nebular - -
}

textures/slob/cloud
{
	qer_editorimage textures/slob/cloud_qer1.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 33
// note: Change the surfacelight value if you want more ambient light from the sky.
	q3map_sun 1 .9 .8 33 300 50
// note: Change the fourth value (33) if you want a brighter or dimmer sun
	skyparms textures/slob/env/cloud - -
}

textures/slob/sep
{
	qer_editorimage textures/slob/sep_qer1.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 66
// note: Change the surfacelight value if you want more ambient light from the sky.
	q3map_sun 1 .9 .8 33 300 50
// note: Change the fourth value (33) if you want a brighter or dimmer sun
	skyparms textures/slob/env/sep - -
}

textures/slob/mahq
{
	q3map_lightimage textures/slob/mahq.tga
        q3map_surfacelight 400


	{
		animMap .10 textures/slob/mahq.tga textures/slob/mahq.tga
		rgbGen wave sawtooth 0 1 0 .15
		
	}

	{
		map textures/slob/elec_line.tga
		blendfunc add
	        	rgbGen identity
		tcmod scroll 1 .6
	}

	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	        		
}    

//Shader bits here :) I have done all the script myself :)))))))) so if it sux ehhe you know who to blame :)

textures/slob/waterspout
//waterspout shader Created 24th Oct by SLoB used for cool waterspout effect from gargoyle
		
	{
		qer_editorimage textures/slob/waterspout.tga
		qer_trans 2
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/slob/waterspout2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 1.5
		}
	
		{ 
			map textures/slob/waterspout.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 1.5
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	

	}


textures/slob/puddle
//water shader Created 24th Oct by SLoB used for cool water effect for puddle under spout
		
	{
		qer_editorimage textures/slob/puddle.tga
		qer_trans 3
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/slob/puddle2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .025
		}
	
		{ 
			map textures/slob/puddle.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	

	}

textures/slob/clanx
{  
	qer_editorimage/slob/clanx.jpg
    	{
        map textures/slob/clanx.jpg 
       rgbGen identity
   	}  
  	{  
     	map $lightmap   
     	rgbGen identity 
       	blendfunc filter  
  	}
}

//new pimpage tv in entrance room :) hopefully will look cool :) 
textures/slob/ratv1a
{
	q3map_lightimage textures/slob/ratv1a.tga
        q3map_surfacelight 200

	{
		animMap .7 textures/slob/sloburl.tga textures/slob/sloburl.tga
		rgbGen identity
		rgbGen wave sawtooth 0 1 0 .15
		
	}
		
	{
		animMap .7 textures/slob/sloburl.tga textures/slob/sloburl.tga
		rgbGen identity
		rgbGen wave sawtooth 0 1 0 .15
		
	}
	{
		map textures/slob/ratv1b.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll .4 .4
	}
	
	{
		map textures/slob/ratv1c.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll -.3 -.3
	}
	{
		map textures/slob/elec_line.tga
		blendfunc add
	        	rgbGen identity
		tcmod scroll 1 .6
	}

	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}    
//All Arena portals except clan arena to have this instead of the laggy portal cameras


//  ** This baby flashes the logo through static and also side scrolls
//  ** my beautiful elec_line :)
//  ** So there.



//Bulldogs texture shaders :) shame I had to go over Your arenas and fix all the
//bugs you left in m8 and next time caulk ALL unseen faces u lazy bast and DONT OVERLAP YOUR BRUSHES :)

textures/slob/bigscreen
{  
	qer_editorimage/slob/bigscreen.tga
    	{
        map textures/slob/bigscreen.tga 
       rgbGen identity
   	}  
  	{   
     	map textures/slob/bigscreen2.tga 
      	blendfunc add  
      	rgbGen wave sin 0 1 0 1 
   	}  
  	{  
      	map textures/slob/bigscreen3.tga   
     	blendfunc add
        rgbGen wave square 0 1 0 2
    	}  
  	{  
     	map $lightmap   
     	rgbGen identity 
       	blendfunc filter  
  	}
}

textures/bdtextures/level2_banner
{
	q3map_lightimage textures/bdtextures/level2_banner.tga
        q3map_surfacelight 100


	{
		map textures/bdtextures/level2_banner.tga
	        rgbGen wave square 0 1 0 .5
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 2
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 1
	}


	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/slob/sector5a_banner
{
	q3map_lightimage textures/slob/sector5a_banner.tga
        q3map_surfacelight 100


	{
		animMap .25 textures/slob/sector5a_banner.tga textures/slob/sector5a_banner.tga
		rgbGen wave sawtooth 0 1 0 .15
		
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 1 1
	}


	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

//path still to old path
textures/bdtextures/jump-pad
{
	qer_editorimage textures/bdtextures/jump-pad.tga
	q3map_lightimage textures/bdtextures/jump-pad3.tga
	q3map_surfacelight 400
	{
		animmap .5 textures/bdtextures/jump-pad.tga textures/bdtextures/jump-pad3.tga 
		rgbGen identity
	}
	{
		//map textures/bdtextures/light.tga
		//blendfunc gl_one gl_one
		//tcMod stretch sin 0.6 .6 0 .3
	        //rgbGen wave square .2 .2 .5 .5

		clampmap textures/bdtextures/light.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5

	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}



//shader for the cool globed lights :)

models/mapobjects/globe/clear_globe
{	
	{
		map textures/effects/tinfx2d.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/globe/gold_globe
{	
	{
		map textures/effects/envmapgold.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

//Entrance Room effects for the tv screens hanging over each entrance for each Arena

textures/slob/FastWaytoDie
{
	q3map_lightimage textures/slob/FastWaytoDie.tga
        q3map_surfacelight 400


	{
		animMap .15 textures/slob/FastWaytoDie.tga textures/slob/FastWaytoDie.tga
		rgbGen wave sawtooth 0 1 0 .15
		
	}

	{
		map textures/slob/fastwaytodietext.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 1
	}

	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	         		
}    

textures/slob/Gothicwaters
{
	q3map_lightimage textures/slob/GothicWaters.tga
        q3map_surfacelight 400


	{
		animMap .10 textures/slob/Gothicwaters.tga textures/slob/Gothicwaters.tga
		rgbGen wave sawtooth 0 1 0 .15
		
	}

	{
		map textures/slob/gothicwaterstext.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 .5
	}

	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
         		
}    


textures/slob/backalley
{
	q3map_lightimage textures/slob/backalley.tga
        q3map_surfacelight 400


	{
		animMap .20 textures/slob/backalley.tga textures/slob/backalley.tga
		rgbGen wave sawtooth 0 1 0 .15
		
	}

	{
		map textures/slob/backalleytext.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll .5 0
	}

	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
          		
}    

textures/slob/sector5
{
	q3map_lightimage textures/slob/sector5.tga
        q3map_surfacelight 400


	{
		animMap .25 textures/slob/sector5.tga textures/slob/sector5.tga
		rgbGen wave sawtooth 0 1 0 .15
		
	}

	{
		map textures/slob/sector5atext.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll -.5 0
	}

	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	        		
}    

textures/slob/cathedral
{
	q3map_lightimage textures/slob/cathedral.tga
        q3map_surfacelight 400


	{	
		animMap .15 textures/slob/cathedral.tga textures/slob/cathedral.tga
		rgbGen wave sawtooth 0 1 0 .15
		
	}

	{
		map textures/slob/cathedraltext.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 0 .6
	}

	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	          		
}    



//shader for the blue flame circle texture -Backalley and entrance room
textures/base_wall/metaltechgeomtrn
{
    {
        map textures/sfx/fire_ctfblue.tga
        tcmod scroll 0 1
        tcMod turb 0 .25 0 1.6
        tcmod scale 2 2
        blendFunc GL_ONE GL_ZERO

        rgbGen identity
    }
    {
        map textures/base_wall/metaltechgeomtrn.tga
        blendFunc blend
        tcmod rotate 30
        tcMod stretch sin .8 0.2 0 .2
        rgbGen identity
    }
    {
        map textures/base_wall/metaltechgeomtrn2.tga
        blendFunc blend
        tcmod rotate 20
        tcMod stretch sin .8 0.2 0 .1
        rgbGen identity
    }
    {
        map textures/base_wall/metaltechgeomtrn.tga
        blendFunc blend
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}



//ok heres a test shader with wetwall texture 

textures/gothic_block/wetwall
{
	// Moist, reflective smear on Blockwall Sore. Yummy Yum. heh 
        {
	        map textures/gothic_block/wetwall.tga
	        tessSize 128
	deformVertexes bulge 3 10 1
		map $lightmap
		rgbGen identity
	}
        {
		map textures/gothic_block/wetwallfx.tga
                blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
	        map textures/gothic_block/wetwall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/ra3/ra3_blueflag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
	{
		map textures/ra3/ra3_blueflag.tga
		rgbGen identity
	}

	{
		map textures/ra3/ra3_blueflag.tga
                	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
                	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

	{
        		map textures/sfx/shadow.tga
	                tcGen environment 
                	//blendFunc GL_ONE GL_ONE            
	                blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity
	}
}


textures/ra3/ra3_redflag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
        surfaceparm nomarks
        cull none

	{
		map textures/ra3/ra3_redflag.tga
		rgbGen identity
	}

	{
		map textures/ra3/ra3_redflag.tga
	                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
	                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

	{

        		map textures/sfx/shadow.tga
	                tcGen environment 
                	//blendFunc GL_ONE GL_ONE            
	                blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity

	}
}

textures/ra3/ra3_silverflag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
	{
		map textures/ra3/ra3_silverflag.tga
		rgbGen identity
	}

	{
		map textures/ra3/ra3_silverflag.tga
                	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
                	blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

	{
        		map textures/sfx/shadow.tga
	                tcGen environment 
                	//blendFunc GL_ONE GL_ONE            
	                blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity
	}
}

// ** END FLAG CODE **



//End of SLoBs Coolio Shader file :)
//Why not visit http://SLoB.org.uk :)